
#ifndef _lcd_H_
#define _lcd_H_

#include <stdint.h>


//LCD interface outputs
#define MASK_DATA_W		0x0000ffff
#define MASK_RD_W 		0x00010000
#define MASK_WR_W 		0x00020000
#define MASK_CS_W 		0x00040000
#define MASK_RS_W 		0x00080000
#define MASK_BL_CONT_W	0x00100000

//LCD interface inputs
#define MASK_DATA_R		0x0000ffff
#define MASK_WINT_R 	0x00010000	
#define MASK_INT_R 		0x00020000

#define color_brown   0x40c0
#define color_black   0x0000
#define color_white   0xffff
#define color_red     0xf800
#define color_green   0x07e0
#define color_blue    0x001f
#define color_yellow  color_red|color_green
#define color_cyan    color_green|color_blue
#define color_purple  color_red|color_blue

volatile unsigned *io_reg0;

static const unsigned IO_REG0_ADR = 0x43C00000;

void LCD_WriteCmd (uint8_t cmd);
void LCD_WriteData (uint16_t data);
void Write_Dir(uint8_t Cmd,uint16_t Data);
void Active_Window(uint16_t XL,uint16_t XR ,uint16_t YT ,uint16_t YB);
void LCD_PLL_Ini(void);
void LCD_Init(void);
void Text_Foreground_Color1(uint16_t b_color);
void Text_Background_Color1(uint16_t b_color);
void FontWrite_Position(uint16_t X,uint16_t Y);
void MemoryWrite_Position(uint16_t X,uint16_t Y);
void LCD_PutPixel(uint16_t x, uint16_t y, uint16_t color);
void String(uint8_t *str);

#endif
